/**{
	margin: 0;
	padding: 0;
}*/


body{
	background-color: #ccccb3;
	color: #555555;

	/*font-family: Arial,Helvetica,sans-serif;
	font-size: 16px;
	font-weight: normal;*/

	/* Shorter way of doing the above */
	font: normal 16px Arial,Helvetica,sans-serif;

	/* line-height puts a distance between sentences .*/
	line-height: 1.6em;
	margin:0;

}

a{
	text-decoration: none;
	color: black;
}

a:hover{
	color: green;
}

a:active{
	color:purple;
}



/*The CSS margin properties are used to create space around elements,
 outside of any defined borders.

	Margin - Shorthand Property

	The margin property is a shorthand property for the following individual 
	margin properties:

	margin-top
	margin-right
	margin-bottom
	margin-left	

	margin: 25px 50px 75px 100px;
	top margin is 25px
	right margin is 50px
	bottom margin is 75px
	left margin is 100px

	If top and bottom are same and right and left are same, we can do this

	margin: 25px 50px;
	top and bottom 25px;
	left and right 50px;


 */
.clr{
	clear: both;
}

.container{
	/*width: 500px;*/	/* This is not responsive */
	width: 80%;			/* This is responsive */

	/* margin:auto - the browser calculates the margin */
	margin:auto;
}

.button{
	padding: 10px 15px;
	color: #fff;
	background-color: #333;
	border:none;
} 

.button: hover{
	background: red;
	color: #fff;
}
/* . is used to target a class */
.box-1{
		background-color: #333;
		color: #fff;

		/* The CSS border properties allow you to specify the style, width, and color
		/* of an element's border. */

		/*
		Individual sides :-;
		border-right: 5px solid red;
		border-left: 5px solid red; 
		border-top: 5px solid red; 
		border-bottom: 5px solid red; 
		*/

		
		border-width: 3px;
		border-bottom-width: 15px;
		border-bottom-style: dotted;

		border: 5px solid blue;

		padding: 20px;

		margin: 20px 0;
		border-radius: 15px;

}

/*How to target specific html element of a class or id*/

.box-1 h1{
	font-family: tahoma;
	font-weight: 800;
	font-style: italic;
	text-decoration: underline;
	text-transform: uppercase;
	letter-spacing: 0.2em;
	word-spacing: 0.6em;
}

.box-2{
	border: 3px dotted red;
	padding: 20px;
	margin: 20px 0;
	border-radius: 15px;


}

.categories{
	border: 3px dashed #ff3399;
	padding: 20px;
	margin: 20px 5px;
	border-radius: 15px;
}

.categories h2{
	text-align: center;
}

.categories ul{
	padding: 0;
	padding-left: 20px;
	list-style: none;
}

.categories li{
	padding-bottom: 6px;
	border-bottom: dotted 1px #333;
	list-style: url('../images/check-mark.png');
}

.my_form{
	padding: 20px;
}

.my_form , .form-group{
	padding-bottom: 15px;
}

.my_form label{
	display: block;
}

.my_form input[type="text"], .my_form input[type="email"], .my_form textarea{
	padding: 8px;
	width: 100%;
}

.block{
	float: left;
	width: 33.3%;
	border: 1px solid #a3a375;
	padding-top: 10px;
	box-sizing: border-box;
}

#main-block{
	float: left;
	width: 70%;
	padding: 15px;
	box-sizing: border-box;
	margin-top: 10px;
	border: 0.5px solid #bf4040;
}

#sidebar{
	float: right;
	width: 30%;
	background-color: #333;
	color: #fff;
	padding: 15px;
	box-sizing: border-box;
	margin-top: 10px;
	border: 0.5px solid #bf4040;
}

/* Positioning in CSS */
.p-box{
	width: 800px;
	height: 500px;
	border: 1px solid #000;
	margin-top: 30px;
	position: relative;
	background-image: url('../images/light_abstract.jpg');
}

.p-box h1{
	position: absolute;
	top: 45%;
	left: 45%;

}

.p-box h2{
	position: absolute;
	top: 75%;
	left: 45%;
}

/* Stick to the page */
.fix-me{
	position: fixed;
	top:400px;
}
/*
.my-list li:first-child{
	background-color: red;
}

.my-list li:last-child{
	background-color: blue;
}

.my-list li:nth-child(5){
	background-color: green;
}*/

.my-list li:nth-child(even){
	background-color: grey;
}